> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sobot.io/llms.txt
> Use this file to discover all available pages before exploring further.

# robot_chat

> robot_chat



## OpenAPI

````yaml api-reference/openapis/online-openapi.json post /api/5/user/robot_chat
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://sg.sobot.io
security:
  - bearerAuth: []
paths:
  /api/5/user/robot_chat:
    post:
      summary: robot_chat
      description: robot_chat
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                partnerid:
                  type: string
                  description: 对接ID，需要保证唯一性
                question:
                  type: string
                  description: 用户问题,问题类型为0时，传入原始问题;问题类型为1时，传入点击问题的词条ID;问题类型为2时，根据多轮会话说明传入。
                user_nick:
                  type: string
                  description: 用户昵称
                source:
                  type: string
                  description: >-
                    渠道来源：用户来源:0 桌面网站、1 微信、2 App、3 微博、4 移动网站、6 呼叫、7 工单中心、8 客户中心、9
                    企业微信、10 小程序、12 百度营销、13 今日头条、14 奇虎360、15 阿里汇川、16 搜狗、17
                    微信客服、20 广点通、21 知乎、22 facebook、23 whatsApp、24 instagram、25
                    line、26 discord、33 telegram
                robot_flag:
                  type: string
                  description: 机器人标识
                question_flag:
                  type: string
                  description: 问题类型 0-普通 1-点击 2-多轮
                request_text:
                  type: string
                  description: 请求文本
                channel_flag:
                  type: string
                  description: 子渠道标识
                refer_num:
                  type: string
                  description: ''
                msg_type:
                  type: integer
                  description: ''
                  enum: []
                lan_flag:
                  type: integer
                  description: ''
                reception_version:
                  type: integer
                  description: 接待版本 0-v1，1-v6（如果传入的是V6版本，但是公司实际最高配置是V1则忽略传入的版本，按照V1操作）
              description: ''
      responses:
        '200':
          description: No Content
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````